; fdm86.plt - reproduce Figs. 4, 5, & 6 from Neely and Kim (1986)

head=no : clip=y : pltyp=line : sizfac=3.5 : yhor=y
xlen=2.4 : ylen=1.8
xmin=0 : xmax=1 : xint=5.2 : xfmt=f.1
xdat=$1 : zdat=0

; pressure difference across the cochlear partition
xllc=0.9

newframe
yllc=4.5 : xanskp=-1 : xlab=
ymin=-40 : ymax=60 : yint=5.2
ylab=\|P[d]\| (dB re P[e])
ydat=$2
include fdm86_i1.dat
plot
include fdm86_i2.dat
plot
include fdm86_i3.dat
plot
include fdm86_i4.dat
plot

newframe
yllc=2.4 : xanskp=0 : xlab=distance from stapes (x/L)
ymin=-2 : ymax=0 : yint=2.2
ylab=phase (cycles)
ydat=$3
include fdm86_i1.dat
plot
include fdm86_i2.dat
plot
include fdm86_i3.dat
plot
include fdm86_i4.dat
plot

; basilar membrane impedance
xllc=4.3

newframe
yllc=4.5 : xanskp=-1 : xlab=
ymin=20 : ymax=120 : yint=5.2
ylab=\|Z[b]\| (dB)
ydat=$4
include fdm86_i1.dat
plot
include fdm86_i2.dat
plot
include fdm86_i3.dat
plot
include fdm86_i4.dat
plot

newframe
yllc=2.4 : xanskp=0 : xlab=distance from stapes (x/L)
ymin=-2 : ymax=0 : yint=2.2
ylab=phase (cycles)
ydat=$5
include fdm86_i1.dat
plot
include fdm86_i2.dat
plot
include fdm86_i3.dat
plot
include fdm86_i4.dat
plot

; hair bundle impedance
xllc=7.7

newframe
yllc=4.5 : xanskp=-1 : xlab=
ymin=20 : ymax=120 : yint=5.2
ylab=\|Z[c]\| (dB)
ydat=$6
include fdm86_i1.dat
plot
include fdm86_i2.dat
plot
include fdm86_i3.dat
plot
include fdm86_i4.dat
plot

newframe
yllc=2.4 : xanskp=0 : xlab=distance from stapes (x/L)
ymin=-2 : ymax=0 : yint=2.2
ylab=phase (cycles)
ydat=$7
include fdm86_i1.dat
plot
include fdm86_i2.dat
plot
include fdm86_i3.dat
plot
include fdm86_i4.dat
plot
